Bug 1120649 - Disk encryption password dialog freezes
Summary: Disk encryption password dialog freezes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: luks-tools
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 10:49 UTC by Jeremy Harris
Modified: 2015-06-29 21:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:37:30 UTC


Attachments (Terms of Use)

Description Jeremy Harris 2014-07-17 10:49:18 UTC
Description of problem:
 The graphic box for entering an encryption password during boot sometimes freezes, apparently ignoring keystrokes.  This happens after a varying number of keystrokes have been responded to (3 to 6).  Boot proceeds without the relevant volume mounted (it's not the root filesystem).

Happens both with the (laptop) builtin keyboard and an external USB keyboard.


Version-Release number of selected component (if applicable):
kernel 3.15.4-200.fc20.x86_64


How reproducible:
  20%


Steps to Reproduce:
1. boot
2. type password, notice lack of response
3.

Actual results:
 Volume is not mounted


Expected results:
 Passphrase fully accepted; volume mounted

Additional info:

  /etc/crypttab:
#output	blockdev	password	options
HD-p2	/dev/sda2	-		nofail,luks

Comment 1 Jeremy Harris 2014-09-13 13:44:09 UTC
Today's symptom, related:  The password dialogue box does not appear; the f-thing being filled-in diagonally remains, frozen.  Until you type something;
the dialog box appears and the luks password does seem to be accepted (though the visual response to keys is missing).
kernel:  3.15.10-201.fc20.x86_64

Comment 2 Jeremy Harris 2014-11-09 14:06:16 UTC
kernel 3.16.7-200.fc20.x86_64 - still present.  Booting now without rhgb; the
prompt for a passphrase does not appear until you start typing the passphrase,
at which time you do get the visual feedback along with the prompt (repeated
per-keystroke, when other startup lines are emitted).

However, the passphrase input often seems to miss the final "Enter".
When this happens, boot completes (after a timeout, even though my
/etc/crypttab has no timeout set:

HD-p2	/dev/sda2	-		nofail,luks

) without the relevant filesystem mounted.  
There is an outstanding systemd unit "systemd-cryptsetup@HD\x2dp2.service"
If I shutdown at this time there is a delay waiting for the *startup* luks job
to complete.

-- 
I had four fails in sequence today; eventually I gave up and forced the
cryptsetup manually.

Comment 3 Jeremy Harris 2014-12-17 14:47:19 UTC
So far, F21 is behaving ok in this respect for me (upgrade done using fedup,
and returned to an rhgb-enabled boot).

Comment 4 Jeremy Harris 2014-12-22 09:10:09 UTC
(In reply to Jeremy Harris from comment #3)
> So far, F21 is behaving ok in this respect for me (upgrade done using fedup,
> and returned to an rhgb-enabled boot).

I spoke too soon.  Failed on this morning's boot, freeze halfway through the
passphrase being entered.

Comment 5 Fedora End Of Life 2015-05-29 12:23:28 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 21:37:30 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.